<?php
header('Content-Type: application/json');
require("dbinfo.php");
require_once("dl.php");
$con = mysqli_connect($sqlname, $username, $password, $db);
if(!$con){exit;}

$sql = "";
$foto = "";
$nombrefoto = "";

if( $_REQUEST["fotos"] ) {$listafotos = $_REQUEST['fotos'];}
if( $_REQUEST["foto"] ) {$nombrefoto = $_REQUEST['foto'];}
if( $_REQUEST["tipo"] ) {$tipo = $_REQUEST['tipo'];}
if (isset($_FILES['archivofoto']) && !empty($_FILES['archivofoto']))
{
        $val = $_FILES['archivofoto'];
        $sql = $nombrefoto;
		  $foto1nom = $val['name'];
		  $foto1tmp = $val['tmp_name'];
		  $ruta_archivo = pathinfo($nombrefoto);        
		  $ruta_base = $ruta_archivo["dirname"];
		  $nombre_archivo = $ruta_archivo["basename"];        
		  $ruta_completa = $_SERVER['DOCUMENT_ROOT'] .  $ruta_base;
		  $target_file = $ruta_completa . "/" . $nombre_archivo;
		  $target_file = str_replace("/\\","/",$target_file);  
		  $uploadOk = 1;
		  $imageFileType = pathinfo($target_file,PATHINFO_EXTENSION);
		  if (file_exists($target_file)) {
				 $uploadOk = 0;
		  }
		  if ($val["size"] > 5000000) {
			   $uploadOk = 0;
		  }
		  if(strtolower($imageFileType) != "jpg" && strtolower($imageFileType) != "png" && strtolower($imageFileType) != "jpeg" && strtolower($imageFileType) != "bmp" 
		  && strtolower($imageFileType) != "gif" ) {
			  $uploadOk = 0;
		  }
		  if ($uploadOk == 1) {
		   move_uploaded_file($foto1tmp, $target_file);
		  }   
}


if( $_REQUEST["sql"] ) {
   $sql = $_REQUEST['sql'];
}

if(strlen($sql) > 2){
      $resultado = mysqli_query($con,$sql);
}


	 
	 if( $_REQUEST["id"] ) {
		$id = $_REQUEST['id'];
	 }
	 $usuario = '';
	 if( $_REQUEST["usuario"] ) {
		$usuario = $_REQUEST['usuario'];
	 }
	 
	 $fecha = dl_fecha::dl_ahora_texto();


	 if($id > 0)
	 {
		$sql = "INSERT INTO log (id_conex,descripcion,tipo,usuario,fecha) VALUES (" . $id . ",'SE AGREGO " . $tipo . "','NUEVA_FOTOGRAFIA','" . $usuario . "','" . $fecha . "')";
		$resultado = mysqli_query($con,$sql);
	 }

mysqli_close($con);
$resultado = array(
   'mensaje'=> $sql
   );
echo ($listafotos);
?>
